Subject: Re: bug#70399: ConTeXT options need updating

From: Ikumi Keita <[email-masked]>
Date: Sun, 21 Apr 2024 16:38:50 +0900

Hi Jim,

>>>>> Jim <[email-masked]> writes:
>> Do you think AUCTeX should do smart action to avoid "--nonstopmode" when
>> "--synctex" is requested by the user, so that
>> (setq ConTeXt-texexec-option-nonstop "")
>> isn't necessary on the user side?  It isn't difficult to have
>> "--nonstopmode" only when `TeX-source-correlate-mode' and
>> `TeX-interactive-mode' are nil.

> I think that would be an even nicer solution!  I will point out that the
> Head Honcho of ConTeXT said (on the ConTeXT users mailing list)
>         - running context in nonstop mode makes little sense

> He did not elaborate on that comment.  However, I note that when context
> finds an error in an input file, even without -nonstopmode, the process
> terminates (in a few tests I did) , unlike (e.g.,) pdftex, which as you
> know waits for user input.

> I spent a few minutes trying various command line options and commands
> inside the source file, and I can't get context to stop on error and wait
> for input.  This doesn't mean that there is no way to do it, and poking
> through the code I see a lot of code related to 'nonstopmode' and
> 'errorstopmode', but I don't know how to make context stop on an error and
> wait for input.

Thanks, I pushed the fix including the change to omit --nonstop option
when --synctex option is present.

> I could ask for clarification about this on the context users' list if you
> would like to hear a more authoritative opinion before making changes.  Let
> me know.

Thanks, I don't think that's necessary. I'll close this bug.

Regards,
Ikumi Keita
#StandWithUkraine #StopWarInUkraine
#Gaza #StopMassiveKilling #CeasefireNOW